version: '3'
services:
  rclone:
    image: rclone/rclone
    container_name: rclone
    restart: always
    volumes:      
      - ./emilien/.config/rclone:/config/rclone
      - ./emilien/.config/rclone/cache:/home/emilien/.cache/rclone/webgui
      - "./logs:/logs"
      - /mnt/data:/data:shared
      - /etc/passwd:/etc/passwd:ro
      - /etc/group:/etc/group:ro
    cap_add:
      - SYS_ADMIN
      - SETPCAP
      - MKNOD
    devices:
      - /dev/fuse:/dev/fuse
    user: 1000:1000

    command: "rcd --rc-web-gui --rc-addr :5572 --rc-user=emilien --rc-pass=password --log-level INFO  --progress --log-file /logs/rcloneUnion04072020d.log"
    #mount media: /data/media --buffer-size 256M --dir-cache-time 1000h --log-level DEBUG --poll-interval 15s --timeout 1h --rc --rc-web-gui --rc-addr :5572 --rc-user=plex --rc-pass=plexmedia --log-file /config/rclone/logs/rcloneUnion04072020d.log
    ports:
      - 5572:5572
    security_opt:
      - seccomp:unconfined
    environment:
      - PHP_TZ=Europe/Paris
      - PUID=1000
      - PGID=1000